com.dlsc.flexgantt.swing.treetable

## Class TreeTable.NumberEditor

- java.lang.Object
- - javax.swing.AbstractCellEditor
  - - javax.swing.DefaultCellEditor
    - - com.dlsc.flexgantt.swing.DefaultTreeTableCellEditor
      - - com.dlsc.flexgantt.swing.treetable.TreeTable.NumberEditor

- All Implemented Interfaces:
    ITreeTableCellEditor, Serializable, CellEditor, TableCellEditor, TreeCellEditor
  Enclosing class:
    TreeTable

      public static class TreeTable.NumberEditor
      extends DefaultTreeTableCellEditor

  An editor for numbers (double, float, ...).
  Since:
    1.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.DefaultCellEditor

      `DefaultCellEditor.EditorDelegate`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.DefaultCellEditor

      `clickCountToStart, delegate, editorComponent`

    - ### Fields inherited from class javax.swing.AbstractCellEditor

      `changeEvent, listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberEditor()` Construcs a new editor.

  - ### Method Summary

    - ### Methods inherited from class javax.swing.DefaultCellEditor

      `cancelCellEditing, getClickCountToStart, getComponent, getTableCellEditorComponent, getTreeCellEditorComponent, isCellEditable, setClickCountToStart, shouldSelectCell`

    - ### Methods inherited from class javax.swing.AbstractCellEditor

      `addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.CellEditor

      `addCellEditorListener, cancelCellEditing, isCellEditable, removeCellEditorListener, shouldSelectCell`

- - ### Constructor Detail

    - #### NumberEditor

          public NumberEditor()

      Construcs a new editor.
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.